Skip to main content
GET
/
customer
/
{customer_id}
cURL
curl --request GET \
  --url https://sandbox.dollarpe.xyz/cms/api/v1/customer/{customer_id} \
  --header 'X-API-KEY: <api-key>' \
  --header 'X-SIGNATURE: <api-key>' \
  --header 'X-TIMESTAMP: <api-key>'
{
  "status": true,
  "message": "Success",
  "data": {
    "id": "550e8400-e29b-41d4-a716-446655440000",
    "status": "VERIFIED",
    "full_name": "John Doe",
    "email": "john.doe@example.com",
    "phone": "+1234567890",
    "country": "USA",
    "client_reference_id": "cust_12345",
    "type": "INDIVIDUAL",
    "failure_reason": null,
    "document_type": "AADHAAR",
    "non_residence_status": true,
    "residence_alpha_3_country_code": "USA"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.dollarpe.xyz/llms.txt

Use this file to discover all available pages before exploring further.

API Status CodeResponseReason
400Customer not found or access deniedCustomer not found
400Customer not found or access deniedCustomer does not belong to the organization
500Internal Server Error.Internal Server Error

Authorizations

X-API-KEY
string
header
required

API Key for authentication

X-TIMESTAMP
string
header
required

Current timestamp in seconds since epoch

X-SIGNATURE
string
header
required

HMAC SHA256 signature of the request encoded in Base64

Path Parameters

customer_id
string<uuid>
required

The unique identifier of the customer

Example:

"550e8400-e29b-41d4-a716-446655440000"

Response

Customer details fetched successfully

status
boolean
Example:

true

message
string
Example:

"Success"

data
object